### org.jfree.layouting

# Class AbstractLayoutProcess.AbstractLayoutProcessState

- `java.lang.Object`
- - `org.jfree.layouting.AbstractLayoutProcess.AbstractLayoutProcessState`

Enclosing Class:
  AbstractLayoutProcess

Implemented Interfaces:
  LayoutProcessState

Known Direct Subclasses:
  DefaultLayoutProcess.DefaultLayoutProcessState

`protected static abstract class AbstractLayoutProcess.AbstractLayoutProcessState`
`extends java.lang.Object`
`implements LayoutProcessState`

  ## Constructor Summary

  `AbstractLayoutProcessState(AbstractLayoutProcess lp)`

  ## Method Summary

  `protected AbstractLayoutProcess`

  `restore(OutputProcessor outputProcessor, AbstractLayoutProcess layoutProcess)`

## Constructor Details

### AbstractLayoutProcessState

    protected AbstractLayoutProcessState(AbstractLayoutProcess lp)
                throws StateException

## Method Details

### restore

    protected AbstractLayoutProcess restore(OutputProcessor outputProcessor,
                                            AbstractLayoutProcess layoutProcess)
                throws StateException